import { MatDialog } from '@angular/material';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs/Observable';
import { BundleUploadService } from '../bundle-upload.service';
import { IDevice } from '../frame/devices';
import { IFrameState } from '../redux/frame';
import { IProject, ProjectService } from '../redux/project';
import { UploadSchemaService } from '../upload-schema/upload-schema.service';
/**
 * The host component holds the arrangement of macroscopic editor components.
 */
export declare class NavComponent {
    private readonly project;
    private readonly store;
    private readonly dialog;
    private readonly schema;
    private readonly bundle;
    frame: Observable<IFrameState>;
    isMobile: Observable<boolean>;
    devices: ReadonlyArray<IDevice>;
    isVersionLinked: Observable<boolean>;
    constructor(project: ProjectService, store: Store<IProject>, dialog: MatDialog, schema: UploadSchemaService, bundle: BundleUploadService);
    chooseDevice(index: number): void;
    rotateDevice(): void;
    setWidth(width: number): void;
    setHeight(height: number): void;
    unlink(): void;
    openLinkDialog(): void;
    connect(ev: MouseEvent): void;
    uploadSchema(): void;
    uploadBundle(): void;
    private launch();
}
